Este foro utiliza cookies
Este foro hace uso de cookies para almacenar su informacion de acceso si usted esta registrado, y su ultima visita, si usted no esta registrado. Las cookies son pequenos documentos de texto almacenados en su ordenador; las cookies de este foro solo se pueden utilizar en esta web y no representan ningun riesgo para la seguridad. Las cookies de este foro tambien realizan el seguimiento de los temas especificos que usted ha leido y cuando las lees. Por favor, confirme si acepta o rechaza estas cookies.

Una cookie se almacena en tu navegador independientemente de la eleccion para evitar que se le repita el consentimiento. Usted puede cambiar la configuracion de cookies en cualquier momento mediante el enlace en el pie de pagina.

Para el cumplimiento del Reglamento de Protección de Datos de la UE (RGPD), se adoptan las siguientes medidas:

- Prohibicion de registro de nuevos usuarios y borrado de todos los usuarios existentes en la base de datos.
- Eliminado formulario de contacto, contacte a traves de: admin ((arroba)) oju.com.es
- No almacenado de ips en los temas o mensajes de usuarios.

Se elimina la recogida de cualquier dato que pueda identificar a cualquier usuario.

Todos los mensajes publicados, seran previamente moderados.
 

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Actualizando foro Mybb
#1
Information 
No se si alguna vez habréis tenido algún foro en un servidor contratado tipo phpbb, mybb etc... la instalación es realmente sencilla teniendo unos conocimientos básicos, algunos hosting incluso tienen scripts automatizados que te lo instalan en un click, todo esto es muy bonito pero que pasa cuando queremos actualizarlo!! este es el problema real.

En foro que uso en foros.oju.com.es es Mybb, y como en la mayoría de los casos el soporte es en ingles y todo en ingles y mas ingles....

Por seguridad es recomendable ir actualizando para que no nos hackeen o dejen inservible nuestro foro y mas cuando con el tiempo tenemos contenido interesante para los demás usuarios.

Lo normal es que a la hora de actualizar los problemas aparezcan por incompatibilidades de plugins o plantillas, mi consejo para un foro personal como este es usar una plantilla oficial y simple, porque a la larga no nos dará problemas al actualizar y tener en cuenta que todas aquellas modificaciones extras que hagáis, podrían perderse al actualizar el foro.


Dejo un pequeño resumen de mi foro (como recordatorio personal :-) )

El foro utilizado es Mybb.
Plantilla de serie, donde solo se ha cambiado el logo.
Varios plugins entre ellos uno que modifica las urls, para hacerlas amigables.

Antes de actualizar HACER UN COPIA DE LA BD Y CONTENIDO DEL FORO y demás el soporte oficial recomienda dejar el foro inaccesible para los usuarios a través del htaccces (no lo hice), otra recomendación es desactivar todos los plugins (esto si lo hice).

Una vez hecho lo anterior, descargamos la ultima versión del foro, y la subimos al servidor sobrescribiendo todos los archivos, una vez subidos, acedemos a foro.com/install/  para iniciar el script de actualización y seguimos los pasos, una vez completado, debemos eliminar la carpeta install  del servidor para poder acceder al foro y por seguridad recomiendan " chmod 644 inc/config.php " (hacerlo).

Luego volvemos al panel de administración y activamos los plugins.



Problemas después de actualizar:

- En mi caso el plugin que hace las urls amigables tuve que volver a ejecutar un script que trae porque no iban las direcciones correctamente.
- El logo tuve que volver a subirlo, porque se puso el que trae por defecto.



En fin, por seguridad recomiendo que actualicen sus foros así como sus plugins, porque cualquiera con un poco de conocimiento puede aprovechar una vulnerabilidad y joderos el foro.


un saludo y si tienen cualquier duda no dejen de preguntarla en este mismo hilo.




Gracias.
Made in Spain
Responder
#2
Vuelvo actualizar el foro:

-Desactivo foro
-Desactivo plugins
-Sobrescribo con la versión nueva (no se sobrescribe el config.php, porque no existe)
-Ejecuto script /install/upgrade
-Vuelvo activar plugins, (ejecuto el plugin de las urls amigables
-Sustituyo logo por personalizado
-Activo foro
-Elimino carpeta Install


A funcionar.
Made in Spain
Responder
#3
Vuelvo actualizar el foro:

-Desactivo foro
-Desactivo plugins
-Sobrescribo con la versión nueva (no se sobrescribe el config.php, porque no existe)
-Ejecuto script /install/upgrade
-Vuelvo activar plugins, (ejecuto el plugin de las urls amigables)
-NO Sustituyo logo por personalizado, porque solo actualizo desde archivos modificados y uno un fullpack
-Activo foro
-Elimino carpeta Install


A funcionar.
Made in Spain
Responder
#4
Vuelvo a actualizar desde 2 versiones atrás, sin fullpack y da error.

Actualizado de nuevo desde fullpack:

-Desactivo foro
-Desactivo plugins
-Sobrescribo con la versión nueva (no se sobrescribe el config.php, porque no existe)
-Ejecuto script /install/upgrade
-Vuelvo activar plugins, (ejecuto el plugin de las urls amigables)
-Sustituyo logo por personalizado.
-Activo foro
-Elimino carpeta Install



saludos
Made in Spain
Responder


Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)